Data-gathering tools
All operations require authentication.
List data-gathering toolsProduction
Returns the data-gathering tools of the Logs Data Platform service.
Path parameters
Service name
Query parameters
Filter by title (like)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
List data-gathering enginesProduction
Returns the data-gathering engines of the Logs Data Platform service.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ engine \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
List engine helpersProduction
Returns the engine helpers of the Logs Data Platform service.
Path parameters
Engine ID
Service name
Response
Example uses engineId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ engine/ {engineId}/ helper \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Get a data-gathering toolProduction
Returns the data-gathering tool.
Path parameters
Input ID
Service name
Response
IP blocks
Whether the workload is auto-scaled
Input creation
Input description
Input engine ID
Port
Hostname
Input ID
Indicate if input need to be restarted
Maximum number of instances in auto-scaled mode
Minimum number of instances in auto-scaled mode
Number of instance running
Input IP address
If set, notify when scaling happens
Input SSL certificate
init: configuration required, pending: ready to start, running: available
INITPENDINGPROCESSINGRUNNINGAssociated Graylog stream
Input title
Input last update
Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ {inputId} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedNetworks": [ "192.0.2.0/24" ], "autoscale": true, "createdAt": "2024-01-01T12:00:00Z", "description": "string", "engineId": "00000000-0000-0000-0000-000000000000", "exposedPort": "string", "hostname": "string", "inputId": "00000000-0000-0000-0000-000000000000", "isRestartRequired": true, "maxScaleInstance": 0, "minScaleInstance": 0, "nbInstance": 0, "publicAddress": "string", "scalingNotifyEnabled": true, "sslCertificate": "string", "status": "INIT", "streamId": "00000000-0000-0000-0000-000000000000", "title": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Get a data-gathering engineProduction
Returns the data-gathering engine.
Path parameters
Engine ID
Service name
Response
Input engine ID
Indicates if engine will soon not be supported
Software name
FLOWGGERLOGSTASHTESTSoftware version
Example uses engineId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ engine/ {engineId} \
-H "authorization: Bearer $OVH_TOKEN"{ "engineId": "00000000-0000-0000-0000-000000000000", "isDeprecated": true, "name": "FLOWGGER", "version": "string"}
Get an engine helperProduction
Returns the engine helper.
Path parameters
Engine ID
Helper ID
Service name
Response
Helper description
Input engine UUID
Helper UUID
Helper sections
Helper title
Example uses engineId = 00000000-0000-0000-0000-000000000000, helperId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ engine/ {engineId}/ helper/ {helperId} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "engineId": "00000000-0000-0000-0000-000000000000", "helperId": "00000000-0000-0000-0000-000000000000", "sections": [ { "content": "string", "name": "LOGSTASH_FILTER" } ], "title": "string"}
List actions for a data-gathering toolProduction
Returns the actions available on the data-gathering tool.
Path parameters
Input ID
Service name
Response
Indicates if action is allowed
Action type
DESTROYENDLOGRESTARTSTARTTESTExample uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ {inputId}/ action \
-H "authorization: Bearer $OVH_TOKEN"[ { "isAllowed": true, "type": "DESTROY" }]
Get a configuration test resultProduction
Returns the result of a data-gathering tool configuration test.
Path parameters
Input ID
Service name
Response
Whether the given configuration pass the syntax test
Standard error
Standard output
Last config test update
Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ {inputId}/ configtest/ result \
-H "authorization: Bearer $OVH_TOKEN"{ "isValid": true, "stderr": "string", "stdout": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Get the Flowgger configurationProduction
Returns the Flowgger configuration of the Logs Data Platform service.
Path parameters
Input ID
Service name
Response
Type of format to decode
CAPNPGELFLTSVRFC5424Indicates how messages are delimited
CAPNPLINENULSYSLENExample uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ {inputId}/ configuration/ flowgger \
-H "authorization: Bearer $OVH_TOKEN"{ "logFormat": "CAPNP", "logFraming": "CAPNP"}
Get the Logstash configurationProduction
Returns the Logstash configuration of the Logs Data Platform service.
Path parameters
Input ID
Service name
Response
The filter section of logstash.conf
The filter section of logstash.conf
The list of customs Grok patterns
Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ {inputId}/ configuration/ logstash \
-H "authorization: Bearer $OVH_TOKEN"{ "filterSection": "string", "inputSection": "string", "patternSection": "string"}
List data-gathering tool URLsProduction
Returns the data-gathering tool URLs of the Logs Data Platform service.
Path parameters
Input ID
Service name
Response
Web URI
Service type
CONSOLEELASTICSEARCH_APIGRAYLOG_APIGRAYLOG_WEBUIHTTP_GELFHTTP_TLS_GELFKIBANA_WEBUIOPENSEARCH_APIOSD_WEBUIPROMETHEUS_APISERVICE_DOMAINTCP_BEATSTCP_CAP_N_PROTOTCP_GELFTCP_LTSV_LINETCP_LTSV_NULTCP_RFC5424TCP_TLS_BEATSTCP_TLS_CAP_N_PROTOTCP_TLS_GELFTCP_TLS_LTSV_LINETCP_TLS_LTSV_NULTCP_TLS_RFC5424UDP_CAP_N_PROTOUDP_GELFUDP_LTSV_LINEUDP_LTSV_NULUDP_RFC5424WEB_SOCKETExample uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ {inputId}/ url \
-H "authorization: Bearer $OVH_TOKEN"[ { "address": "string", "type": "CONSOLE" }]
Create a data-gathering toolProduction
Creates a data-gathering tool on the Logs Data Platform service.
Path parameters
Service name
Request body (required)
IP blocks
Whether the workload is auto-scaled
Description
Engine ID
Exposed port
Maximum number of instances in auto-scaled mode
Minimum number of instances in auto-scaled mode
Number of instance running
If set, notify when scaling happens
Stream ID
Title
Response
Alias used
Operation creation
Dashboard used
Encryption key used
Index used
Input used
Operation ID
OpenSearch Dashboards used
Role used
Service name
Operation status
FAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESSStream used
Subscription used
Metrics tenant used
Token used
Operation last update
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input \
-H "authorization: Bearer $OVH_TOKEN"{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Validate a data-gathering tool configurationProduction
Checks the data-gathering tool configuration and returns a test result.
Path parameters
Input ID
Service name
Response
Alias used
Operation creation
Dashboard used
Encryption key used
Index used
Input used
Operation ID
OpenSearch Dashboards used
Role used
Service name
Operation status
FAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESSStream used
Subscription used
Metrics tenant used
Token used
Operation last update
Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ {inputId}/ configtest \
-H "authorization: Bearer $OVH_TOKEN"{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Start a data-gathering toolProduction
Starts the data-gathering tool.
Path parameters
Input ID
Service name
Response
Alias used
Operation creation
Dashboard used
Encryption key used
Index used
Input used
Operation ID
OpenSearch Dashboards used
Role used
Service name
Operation status
FAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESSStream used
Subscription used
Metrics tenant used
Token used
Operation last update
Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ {inputId}/ start \
-H "authorization: Bearer $OVH_TOKEN"{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Restart a data-gathering toolProduction
Restarts the data-gathering tool.
Path parameters
Input ID
Service name
Response
Alias used
Operation creation
Dashboard used
Encryption key used
Index used
Input used
Operation ID
OpenSearch Dashboards used
Role used
Service name
Operation status
FAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESSStream used
Subscription used
Metrics tenant used
Token used
Operation last update
Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ {inputId}/ restart \
-H "authorization: Bearer $OVH_TOKEN"{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
End a data-gathering toolProduction
Stops the data-gathering tool.
Path parameters
Input ID
Service name
Response
Alias used
Operation creation
Dashboard used
Encryption key used
Index used
Input used
Operation ID
OpenSearch Dashboards used
Role used
Service name
Operation status
FAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESSStream used
Subscription used
Metrics tenant used
Token used
Operation last update
Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ {inputId}/ end \
-H "authorization: Bearer $OVH_TOKEN"{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Create a temporary URL for data-gathering tool logsProduction
Creates a temporary URL to read the logs of a data-gathering tool. The URL expires.
Path parameters
Input ID
Service name
Response
Temporary url expiration date
Temporary url
Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ {inputId}/ logs/ url \
-H "authorization: Bearer $OVH_TOKEN"{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}
Delete a data-gathering toolProduction
Deletes the data-gathering tool.
Path parameters
Input ID
Service name
Response
Alias used
Operation creation
Dashboard used
Encryption key used
Index used
Input used
Operation ID
OpenSearch Dashboards used
Role used
Service name
Operation status
FAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESSStream used
Subscription used
Metrics tenant used
Token used
Operation last update
Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ {inputId} \
-H "authorization: Bearer $OVH_TOKEN"{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Update a data-gathering toolProduction
Updates the data-gathering tool.
Path parameters
Input ID
Service name
Request body (required)
IP blocks
Whether the workload is auto-scaled
Description
Engine ID
Exposed port
Maximum number of instances in auto-scaled mode
Minimum number of instances in auto-scaled mode
Number of instance running
If set, notify when scaling happens
Stream ID
Title
Response
Alias used
Operation creation
Dashboard used
Encryption key used
Index used
Input used
Operation ID
OpenSearch Dashboards used
Role used
Service name
Operation status
FAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESSStream used
Subscription used
Metrics tenant used
Token used
Operation last update
Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ {inputId} \
-H "authorization: Bearer $OVH_TOKEN"{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Update the Flowgger configurationProduction
Updates the Flowgger configuration of the Logs Data Platform service.
Path parameters
Input ID
Service name
Request body (required)
configuration log format
CAPNPGELFLTSVRFC5424Log framing
CAPNPLINENULSYSLENResponse
Alias used
Operation creation
Dashboard used
Encryption key used
Index used
Input used
Operation ID
OpenSearch Dashboards used
Role used
Service name
Operation status
FAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESSStream used
Subscription used
Metrics tenant used
Token used
Operation last update
Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ {inputId}/ configuration/ flowgger \
-H "authorization: Bearer $OVH_TOKEN"{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Update the Logstash configurationProduction
Updates the Logstash configuration of the Logs Data Platform service.
Path parameters
Input ID
Service name
Request body (required)
Filter section
Input section
Pattern section
Response
Alias used
Operation creation
Dashboard used
Encryption key used
Index used
Input used
Operation ID
OpenSearch Dashboards used
Role used
Service name
Operation status
FAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESSStream used
Subscription used
Metrics tenant used
Token used
Operation last update
Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ input/ {inputId}/ configuration/ logstash \
-H "authorization: Bearer $OVH_TOKEN"{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}